from enum import Enum
import marshmallow as ma

class HealthStatus(Enum):
    OK = 0
    WARNING = 1
    ERROR = 2
    CRITICAL = 3

class HealthGet(ma.Schema):
    alive_since = ma.fields.String()
    alive_for = ma.fields.String()
    status = ma.fields.Enum(HealthStatus, type=ma.fields.String)

class ApiVersionGet(ma.Schema):
    version = ma.fields.String(example="0.1")

class OpenAPIGet(ma.Schema):
    pass
